*{
    margin: 0;
    padding: 0;
}

body{
    position: relative;
    background-color: #10172e;
    z-index: -1;
    font-family: sans-serif;
    min-height: 100vh;
}

body::-webkit-scrollbar{
    width: .25rem;
}

body::-webkit-scrollbar-track{
    background: #10172e;
}

body::-webkit-scrollbar-thumb{
    background: #03a9f4;
}

body.magnific-popup-open{
    margin-right: 0 !important;
}

/* --- Header --- */
header{
    position: relative;
    background-color: #10172e;
    display: flex;
    height: 7rem;
    border-bottom: 2px solid white;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    top: 0;
}

.logo{
    margin-left: 2rem;
    display: inline-flex;
}

.logo a{
    display: inline-flex;
    width: 120px;
}

.logo img{
    width: 100%;
}

/* --- navbar --- */
#nav-bar{
    transition: top 0.5s ease-in-out;
    position: sticky;
}

nav{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.nav-table{
    padding-right: 2rem;
}

nav .links{
    width: 100%;
    list-style: none;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 2rem;
    padding-right: 2rem;
}

nav .nav-item{
    height: 39px;
}

nav .link-text{
    height: 100%;
    padding: 0 15px;
    margin: auto ;
    display: flex;
    align-items: center;
    text-decoration: none;
    color: white;
    text-transform: uppercase;
    font-size: 1rem;
    letter-spacing: 2px;
    justify-content: center;
    border: 1px solid transparent;
    transition: 0.2s ease-in-out;
}

nav .link-text:hover{
    border: 1px solid white;
    background-color: steelblue;
}

nav .link-text.active{
    color: white;
    background-color: steelblue;
    opacity: 1;
    border: 1px solid white;
    transition: all 0.5s ease-in-out 0s;
}

.ham-bar{
    margin-right: 2rem;
    width: 39px;
    display: none;
    cursor: pointer;
    position: relative;
}

.bar{
    display: block;
    width: 100%;
    height: 5px;
    margin: 7px auto;
    -webkit-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    background-color: white;
}

/* -- Section -- */
section{
    width: 100%;
    height: auto;
    top: 0;
    bottom: 0;
    background-color: #FAFAFA;
    z-index: -1;
    position: relative;
}

.banner{
    height: auto;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    background: steelblue;
}

.background-image{
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
    bottom: 0;
    z-index: -1;
}

/* -- Gallery -- */
.gallery-block{
    background-color: #FAFAFA;
}

.control-block{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    padding: 20px 12px;
    list-style: none;
}

.control-block .buttons{
    height: 40px;
    width: 140px;
    background: #FAFAFA;
    font-size: 20px;
    line-height: 20px;
    cursor: pointer;
    margin: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-transform: capitalize;
    box-shadow: 5px 5px 12px rgba(0, 0, 0, 0.7);
    border-radius: 2px;
}

.control-block .buttons:hover{
    background-color: #03a9f4;
    color: white;
}

.control-block .buttons.active{
    background: #03a9f4;
    color: white;
}

.image-contain{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    margin-bottom: 2rem;
}

.image-contain .image{
    width: 300px;
    height: 225px;
    overflow: hidden;
    border: 9px solid white;
    border-radius: 5px;
    box-shadow: 5px 5px 12px rgba(0, 0, 0, 0.7);
    margin: 20px;
}

.image-contain .image img{
    height: 100%;
    width: 100%;
    object-fit: cover;
    border-radius: 5px;
}

.image-contain .image:hover img{
    transform: scale(1.4);
}

.gallery-block:last-child{
    margin-bottom: 0;
}

/* -- Footer -- */
footer{
    position: relative;
    background-color: #10172e;
    height: 7rem;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    bottom: 0;
    border-top: 2px solid white;
}

footer nav{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1rem;
}

footer nav .bottom-links{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    list-style: none;
    gap: 4rem;
}

footer nav .bottom-nav-item{
    height: 39px;
}

footer nav .social-media{
    height: 100%;
    text-decoration: none;
    opacity: 0.7;
    transition: all 0.5s ease-in-out 0s;
    display: flex;
}

footer nav .social-media:hover{
    opacity: 1;
}

footer .bottom-logo{
    display: inline-flex;
    margin: auto;
}

footer .bottom-logo a{
    display: inline-flex;
    width: 75px;
}

footer .bottom-logo img{
    width: 100%;
}

.copyright{
    color: white;
    font-size: x-small;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    opacity: 0.7;
}

@media only screen and (max-width: 750px){
    .ham-bar{
        display: block;
    }

    .ham-bar.active .bar:nth-child(2){
        opacity: 0;
    }

    .ham-bar.active .bar:nth-child(1){
        transform: translateY(12px) rotate(-45deg);
    }

    .ham-bar.active .bar:nth-child(3){
        transform: translateY(-12px) rotate(45deg);
    }

    .nav-table{
        height: 0;
        position: absolute;
        top: 7rem;
        left: 0;
        right: 0;
        width: 100%;
        background: #10172e;
        transition: height 0.2s cubic-bezier(0.175, 0.885, 0.32, 1.275);
        overflow: hidden;
        border-top: 2px solid white;
        border-bottom: 2px solid white;
        display: flex;
        justify-content: center;
        align-items: center;
        opacity: 99%;
        padding-inline: 0;
    }

    .nav-table.active{
        height: 319px;
    }

    header nav .links{
        display: flex;
        flex-direction: column;
        width: fit-content;
        text-align: center;
        transition:  0.4s cubic-bezier(0.175, 0.885, 0.32, 1.275);
        opacity: 0;
        padding: 0;
    }

    header nav .nav-table.active .links{
        opacity: 99%;
    }

    header nav .nav-item{
        width: 121.48px;
    }

    .banner{
        padding: 0rem;
        width: 100%;
    }
}

@media only screen and (max-width: 480px){
    .control-block{
        padding: 20px 0;
    }
}
